Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035101
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2017-01-31 11:142017-02-07 10:01
ReporterplujanView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revision51ea481f2d56
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR16Q4.1SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035101: [RR16Q4] Promotions in split lines are not recalculated when using multi price list

DescriptionWhen using split lines with in a multi price list context, changing the business partner does not calculate the applied promotions.
Steps To ReproduceSCENARIO I:
1. Create a ticket for business partner A
2. Add 3 products of a "3x2" promotion (i.e. Bottle 1L in White Valley). Note the line displays the promotion.
3. Split the line in one of 2 and one of 1. Note the promotion keeps applied.
4. Delete the ticket.
5. Create a ticket for business partner B (different price list than business partner A)
6. Add the same 3 products of step 2. Note the promotion is shown.
7. Split the line in one of 2 and one of 1. Note the promotion keeps applied.
8. Change the business partner to A. Note the promotion is not shown (wrong behaviour)

SCENARIO II:
1. Create a ticket for business partner A. This partner has a fixed discount of 10% on all products
2. Add 3 different products. Note each line displaying the promotion.
3. Split the line in one of 2 and one of 1. Note the promotion keeps applied.
4. Delete the ticket.
5. Create a ticket for business partner B (not part of the same promotion group of business partner A)
6. Add the same 3 products of step 2. Note that no promotion is shown (expected behaviour).
7. Split the line in one of 2 and one of 1
8. Change the business partner to A. Note the promotion is not shown (wrong behaviour).
TagsNo tags attached.
Attached Filespatch file icon issue 35101 16Q4 posterminal.patch [^] (1,925 bytes) 2017-02-07 06:22 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035061 closedjorge-garcia [RR16Q4] Split lines shows an exception when changing the pricelist 
related to defect 0034370 scheduledranjith_qualiantech_com Promotion BuyXPayY of same product doesn't work when Split Action Done 
depends on backport 0035179RR17Q1 closedranjith_qualiantech_com [RR16Q4] Promotions in split lines are not recalculated when using multi price list 
depends on backport 0035180RR16Q4.2 closedranjith_qualiantech_com [RR16Q4] Promotions in split lines are not recalculated when using multi price list 

-  Notes
(0094106)
hgbot (developer)
2017-02-07 06:20

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 51ea481f2d56b3dc9df1de99c097378aa5a9e5eb
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 07 10:50:13 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51ea481f2d56b3dc9df1de99c097378aa5a9e5eb [^]

Fixes issue 35101 : Trigger Line Promotions changes if the line is splited

* Line change should be triggered, if the line is splited and with promotions

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0094107)
hgbot (developer)
2017-02-07 06:21

Repository: tools/automation/pi-mobile
Changeset: e1a5f87df4f48bc9ad3cc831f5d84f961353816e
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 07 10:50:19 2017 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/e1a5f87df4f48bc9ad3cc831f5d84f961353816e [^]

Verifies issue 35101 : Added automated test 'I35101_ChangeCustomerWithSplitLinesPromotions'

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multipricelists/I35101_ChangeCustomerWithSplitLinesPromotions.java
---

- Issue History
Date Modified Username Field Change
2017-01-31 11:14 plujan New Issue
2017-01-31 11:14 plujan Assigned To => Retail
2017-01-31 11:14 plujan Triggers an Emergency Pack => No
2017-01-31 11:14 plujan Relationship added related to 0035061
2017-01-31 13:26 heccam Issue Monitored: heccam
2017-01-31 16:22 plujan Resolution time => 1487026800
2017-01-31 17:47 Practics Issue Monitored: Practics
2017-02-01 13:48 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-02-01 13:49 ranjith_qualiantech_com Status new => scheduled
2017-02-04 07:15 ranjith_qualiantech_com Relationship added related to 0034370
2017-02-07 06:20 hgbot Checkin
2017-02-07 06:20 hgbot Note Added: 0094106
2017-02-07 06:20 hgbot Status scheduled => resolved
2017-02-07 06:20 hgbot Resolution open => fixed
2017-02-07 06:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51ea481f2d56b3dc9df1de99c097378aa5a9e5eb [^]
2017-02-07 06:21 hgbot Checkin
2017-02-07 06:21 hgbot Note Added: 0094107
2017-02-07 06:22 ranjith_qualiantech_com File Added: issue 35101 16Q4 posterminal.patch
2017-02-07 10:00 marvintm Status resolved => new
2017-02-07 10:00 marvintm Resolution fixed => open
2017-02-07 10:00 marvintm Status new => scheduled
2017-02-07 10:01 marvintm Status scheduled => resolved
2017-02-07 10:01 marvintm Fixed in Version => RR17Q2
2017-02-07 10:01 marvintm Resolution open => fixed
2017-02-07 10:01 marvintm Review Assigned To => marvintm
2017-02-07 10:01 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker